Individual 3D Polygons
-
Hey guys,
I'm trying to find the most efficient way to go about doing this project and I need a bit of help.
I need to make 3d graphics of buildings showing different sections delineated within them and put them in separate layers.
When i turn the layers on and off, I need the 3d polygons as whole with all the faces and lines, but the individual sections share faces and lines with each other.
For now i was just copy, pasting, and deleting everything but an individual building section for all the sections and then putting it all together.
That method just seems so time consuming, so i was wondering if you guys can help me find a more efficient way to go about doing this.
Thanks in advance!
Edit: I forgot to attach the file
-
Your sample doesn't explain much. Do you have a sample of the building PLUS the result that you have now? Maybe with section cuts and the fill (e.g. using "Rich Section" plugin) will work. Or is it actually parts of the building that fit together like building blocks. (Hallways vs. offices etc.)?
-
As i was messing around, it seems like a group's layer will override any layer that the entities within it are in.
So i exploded the group and made a group of 1 section of the building.
I need to make individual 3D polygons of all the sections like the one i made in the bottom left corner.
I'm just trying to find the fastest way to go about doing this.
EDIT: Yes it's parts of 1 building (offices, hallway, etc.)
-
Yes it seems you can do it that way if each section can be a separate group with its own walls (faces).
- Leave EVERYTHING, all edges and faces on Layer0. Only put the groups or components on the new layers.
- Make scenes with the layer setups you need to isolate the groups (hiding all the other layers having groups or component instances you don't want to see.)
- Probably use of components instead of groups will be helpful since you will have duplication.
- Only have Layer0 as the active layer (left hand button in layer list).
I would:
Assign the whole building component to a layer "building".
open Building component.
left to right select a portion.
Copy.
Close Building component.
Paste in place and make a component of the portion (hallway component).
Assign the component to a new layer such as "Hallway".
hide building Layer.
Open hallway component and reverse faces and clean up as needed.Make scene with just the Layer0 (which has no groups or components) and the hallway layer visible.
Repeat for other portions. It is actually fast once you get used to it.Using hot keys for many functions will make it faster, such as
Close component (Or group)
Paste in place
make component
toggle: component edit/ hide rest of model.
etc. -
Thanks for the help pbacot.
Was hoping there would be a much easier and faster way to go about doing this since I have some buildings that have 100+ sections with mulitple floors...
-
Without any groups or components "named" that is impossible mission!
here with your files you can't separate automaticaly anything (except by individual face) easily except by hand for make separated volumes!
So not very handy!
Transform each face in component by Tig
Select all faces and open the ruby Console put this text - Enterm=Sketchup.active_model;n=m.active_entities;m.selection.to_a.each{|e|(g=n.add_group(e);g.to_component.definition.name="Face#1")if e.class==Sketchup;;Face}
Advertisement